<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Listaprecio{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($nombre,$descripcion){
	$sql="INSERT INTO categorialistaprecio (nombre,descripcion,condicion) VALUES ('$nombre','$descripcion','1')";
	return ejecutarConsulta($sql);
}

public function editar($idlistaprecio,$nombre,$descripcion){
	$sql="UPDATE categorialistaprecio SET nombre='$nombre',descripcion='$descripcion' 
	WHERE idlistaprecio='$idlistaprecio'";
	return ejecutarConsulta($sql);
}
public function desactivar($idlistaprecio){
	$sql="UPDATE categorialistaprecio SET condicion='0' WHERE idlistaprecio='$idlistaprecio'";
	return ejecutarConsulta($sql);
}
public function activar($idlistaprecio){
	$sql="UPDATE categorialistaprecio SET condicion='1' WHERE idlistaprecio='$idlistaprecio'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idlistaprecio){
	$sql="SELECT * FROM categorialistaprecio WHERE idlistaprecio='$idlistaprecio'";
	return ejecutarConsultaSimpleFila($sql);
}

//metodo para buscar las catagoria de lista de precio
public function buscarcategoriaprecio(){
	$sql="SELECT * FROM categorialistaprecio";
	return ejecutarConsultaSimpleFila2($sql);
}

//listar registros
public function listar(){
	$sql="SELECT * FROM categorialistaprecio";
	return ejecutarConsulta($sql);
}
//listar y mostrar en selct
public function select(){
	$sql="SELECT * FROM categorialistaprecio WHERE condicion=1";
	return ejecutarConsulta($sql);
}
}

 ?>
